// RednaVezaOtpornika.java - Klasa redno vezanih otpronika.

package otpornici;

public class RednaVezaOtpornika extends SlozeniOtpornik {
  
  public double otpornost () {                 // Otpronost otpronika.
    double r = 0;
    for (Elem tek=prvi; tek!=null; tek=tek.sled)
      r += tek.R.otpornost ();
    return r;
  }
  
  protected final char otv  () { return '('; } // Simboli za tekstualni
  protected final char oper () { return '+'; } //   prikaz.
  protected final char zatv () { return ')'; }
}