// Celi.java - Klasa uporedljivih celih brojeva.

import usluge.Uporedljiv;

public class Celi implements Uporedljiv {

  private int broj;                    // Vrednost u objektu.
  
  public Celi (int b) { broj = b; }    // Inicijalizacija.
  
  public int vr () { return broj; }    // Dohvatanje vrednosti.
  
  public boolean ispred (Uporedljiv b) // Da li je ispred drugog objekta?
    { return broj < ((Celi)b).broj; }
    
  public boolean jednak (Uporedljiv b) // Da li je jednak drugom objektu?
    { return broj == ((Celi)b).broj; }
    
  public String toString ()            // Tekstualni prikaz.
    { return Integer.toString (broj); }
}