// MetodaZameneSuseda.java - Klasa za uredjivanje metodom zamene suseda
//                          (Bubble Sort).

package uredjeni;
import  usluge.Uporedljiv;

public class MetodaZameneSuseda implements Uredjivac {
  
  public void uredi (Uporedljiv[] niz) { // Uredjivanje niza.
    int n = niz.length;
    boolean dalje = true;
    for (int i=0; i<n-1 && dalje; i++) {
      dalje = false;
      for (int j=n-2; j>=i; j--)
        if (niz[j+1].ispred (niz[j])) {
          Uporedljiv p = niz[j+1]; niz[j+1] = niz[j]; niz[j] = p;
          dalje = true;
        }
    }
  }
  
  public String toString ()              // Naziv algoritma.
    { return "Metoda zamene suseda"; }
}